;**************************************************
;*  REG.INC
;*
;*      Assembly-language public include file
;*
;**************************************************
;
; 
;       Copyright (c) 1999, 2000-20199 by Quequero
;       All Rights Reversed :)))
; 
;	E-mail: UIC@mail.usa.com or UIC@bigfoot.com	
;	Home: http://quequero.cjb.net
;

HKEY_CLASSES_ROOT 	equ 80000000h
HKEY_CURRENT_USER       equ 80000001h
HKEY_LOCAL_MACHINE      equ 80000002h
HKEY_USERS              equ 80000003h
HKEY_PERFORMANCE_DATA   equ 80000004h
HKEY_CURRENT_CONFIG     equ 80000005h
HKEY_DYN_DATA           equ 80000006h

KEY_QUERY_VALUE         equ 0001h
KEY_SET_VALUE           equ 0002h
KEY_CREATE_SUB_KEY      equ 0004h
KEY_ENUMERATE_SUB_KEYS  equ 0008h
KEY_NOTIFY              equ 0010h
KEY_CREATE_LINK         equ 0020h
KEY_READ		equ 0019h
KEY_WRITE		equ 0006h
KEY_EXECUTE		equ 0019h
KEY_ALL_ACCESS		equ 003Fh

REG_OPTION_RESERVED        equ  0h
REG_OPTION_NON_VOLATILE    equ  0h
REG_OPTION_VOLATILE        equ  0001h
REG_OPTION_CREATE_LINK     equ  0002h
REG_OPTION_BACKUP_RESTORE  equ  0004h
REG_OPTION_OPEN_LINK       equ  0008h
REG_LEGAL_OPTION           equ  000Fh

REG_CREATED_NEW_KEY          equ  0001h
REG_OPENED_EXISTING_KEY      equ  0002h
REG_WHOLE_HIVE_VOLATILE      equ  0001h
REG_REFRESH_HIVE             equ  0002h
REG_NO_LAZY_FLUSH            equ  0004h
REG_NOTIFY_CHANGE_NAME       equ  0001h
REG_NOTIFY_CHANGE_ATTRIBUTES equ  0002h
REG_NOTIFY_CHANGE_LAST_SET   equ  0004h
REG_NOTIFY_CHANGE_SECURITY   equ  0008h
REG_LEGAL_CHANGE_FILTER      equ  000Fh

REG_NONE                       equ  0000h
REG_SZ                         equ  0001h
REG_EXPAND_SZ                  equ  0002h
REG_BINARY                     equ  0003h
REG_DWORD                      equ  0004h
REG_DWORD_LITTLE_ENDIAN        equ  0004h
REG_DWORD_BIG_ENDIAN           equ  0005h
REG_LINK                       equ  0006h
REG_MULTI_SZ                   equ  0007h
REG_RESOURCE_LIST              equ  0008h
REG_FULL_RESOURCE_DESCRIPTOR   equ  0009h
REG_RESOURCE_REQUIREMENTS_LIST equ  000Ah

ERROR_SUCCESS	equ  0
NULL		equ  0

FILE_READ_DATA             equ 0001h
FILE_LIST_DIRECTORY        equ 0001h
FILE_WRITE_DATA            equ 0002h
FILE_ADD_FILE              equ 0002h
FILE_APPEND_DATA           equ 0004h
FILE_ADD_SUBDIRECTORY      equ 0004h
FILE_CREATE_PIPE_INSTANCE  equ 0004h
FILE_READ_EA               equ 0008h
FILE_WRITE_EA              equ 0010h
FILE_EXECUTE               equ 0020h
FILE_TRAVERSE              equ 0020h
FILE_DELETE_CHILD          equ 0040h
FILE_READ_ATTRIBUTES       equ 0080h
FILE_WRITE_ATTRIBUTES      equ 0100h
FILE_ALL_ACCESS 	   equ 01FFh
FILE_GENERIC_READ          equ 0089h
FILE_GENERIC_WRITE         equ 0116h
FILE_GENERIC_EXECUTE       equ 00A0h

FILE_SHARE_READ            	equ 00000001h  
FILE_SHARE_WRITE           	equ 00000002h  
FILE_SHARE_DELETE          	equ 00000004h  
FILE_ATTRIBUTE_READONLY    	equ 00000001h  
FILE_ATTRIBUTE_HIDDEN      	equ 00000002h  
FILE_ATTRIBUTE_SYSTEM     	equ 00000004h  
FILE_ATTRIBUTE_DIRECTORY   	equ 00000010h  
FILE_ATTRIBUTE_ARCHIVE     	equ 00000020h  
FILE_ATTRIBUTE_NORMAL      	equ 00000080h  
FILE_ATTRIBUTE_TEMPORARY   	equ 00000100h  
FILE_ATTRIBUTE_COMPRESSED  	equ 00000800h  
FILE_ATTRIBUTE_OFFLINE          equ 00001000h  
FILE_NOTIFY_CHANGE_FILE_NAME    equ 00000001h   
FILE_NOTIFY_CHANGE_DIR_NAME     equ 00000002h   
FILE_NOTIFY_CHANGE_ATTRIBUTES   equ 00000004h   
FILE_NOTIFY_CHANGE_SIZE         equ 00000008h   
FILE_NOTIFY_CHANGE_LAST_WRITE   equ 00000010h   
FILE_NOTIFY_CHANGE_LAST_ACCESS  equ 00000020h   
FILE_NOTIFY_CHANGE_CREATION     equ 00000040h   
FILE_NOTIFY_CHANGE_SECURITY     equ 00000100h   
FILE_ACTION_ADDED               equ 00000001h   
FILE_ACTION_REMOVED             equ 00000002h   
FILE_ACTION_MODIFIED            equ 00000003h   
FILE_ACTION_RENAMED_OLD_NAME    equ 00000004h   
FILE_ACTION_RENAMED_NEW_NAME    equ 00000005h   
MAILSLOT_NO_MESSAGE             equ -1h
MAILSLOT_WAIT_FOREVER           equ -1h
FILE_CASE_SENSITIVE_SEARCH      equ 00000001h
FILE_CASE_PRESERVED_NAMES       equ 00000002h  
FILE_UNICODE_ON_DISK            equ 00000004h  
FILE_PERSISTENT_ACLS            equ 00000008h  
FILE_FILE_COMPRESSION           equ 00000010h  
FILE_VOLUME_IS_COMPRESSED       equ 00008000h  

GENERIC_READ                    equ 80000000h
GENERIC_WRITE                   equ 40000000h
GENERIC_EXECUTE                 equ 20000000h
GENERIC_ALL                     equ 10000000h

FILE_FLAG_WRITE_THROUGH         equ 80000000h
FILE_FLAG_OVERLAPPED            equ 40000000h
FILE_FLAG_NO_BUFFERING          equ 20000000h
FILE_FLAG_RANDOM_ACCESS         equ 10000000h
FILE_FLAG_SEQUENTIAL_SCAN       equ 08000000h
FILE_FLAG_DELETE_ON_CLOSE       equ 04000000h
FILE_FLAG_BACKUP_SEMANTICS      equ 02000000h
FILE_FLAG_POSIX_SEMANTICS       equ 01000000h

CREATE_NEW          equ 1h
CREATE_ALWAYS       equ 2h
OPEN_EXISTING       equ 3h
OPEN_ALWAYS         equ 4h
TRUNCATE_EXISTING   equ 5h

SECURITY_ANONYMOUS		equ	00000000h
SECURITY_IDENTIFICATION		equ	00010000h
SECURITY_IMPERSONATION		equ	00020000h
SECURITY_DELEGATION		equ	00030000h
SECURITY_CONTEXT_TRACKING	equ	00040000h
SECURITY_EFFECTIVE_ONLY		equ	00080000h
SECURITY_SQOS_PRESENT		equ	00100000h
SECURITY_VALID_SQOS_FLAGS	equ	001F0000h

INVALID_HANDLE_VALUE		equ	0FFFFFFFFh
INVALID_FILE_SIZE		equ	0FFFFFFFFh
INVALID_FILE_POINTER		equ	0FFFFFFFFh

TRUE 	equ 1
FALSE	equ 0

MB_OK                   = 0000H
MB_OKCANCEL             = 0001H
MB_ABORTRETRYIGNORE     = 0002H
MB_YESNOCANCEL          = 0003H
MB_YESNO                = 0004H
MB_RETRYCANCEL          = 0005H

MB_ICONHAND             = 0010H
MB_ICONQUESTION         = 0020H
MB_ICONEXCLAMATION      = 0030H
MB_ICONASTERISK         = 0040H